Package org.jfree.layouting.renderer.text

## Class TextUtility

- java.lang.Object
- - org.jfree.layouting.renderer.text.TextUtility

-     public class TextUtility
      extends java.lang.Object

  Creation-Date: 12.10.2006, 17:23:30
  Author:
    Thomas Morgner

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static ExtendedBaselineInfo` | `createBaselineInfo​(int codepoint, org.pentaho.reporting.libraries.fonts.registry.FontMetrics fontMetrics)` |
    `static int` | `translateAlignmentBaseline​(CSSValue baseline, int defaultValue)` |
    `static int` | `translateBaselines​(int baseline)` |
    `static int` | `translateDominantBaseline​(CSSValue baseline, int defaultValue)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### translateDominantBaseline

          public static int translateDominantBaseline​(CSSValue baseline,
                                                      int defaultValue)

    - #### translateAlignmentBaseline

          public static int translateAlignmentBaseline​(CSSValue baseline,
                                                       int defaultValue)

    - #### translateBaselines

          public static int translateBaselines​(int baseline)

    - #### createBaselineInfo

          public static ExtendedBaselineInfo createBaselineInfo​(int codepoint,
                                                                org.pentaho.reporting.libraries.fonts.registry.FontMetrics fontMetrics)